"use strict";
const common_vendor = require("../../common/vendor.js");
const ME_update_method = require("./method.js");
const ME_update_model = require("./model.js");
require("../../common/libraries/request.js");
require("../../common/store/useWeAppAuthStore.js");
require("../../gen/Apis.js");
require("../../common/store/useWatermarkStore.js");
require("../../common/store/useWorkStore.js");
require("../../common/libraries/apiLoading.js");
require("../../common/libraries/naviHelper.js");
require("../../common/libraries/upload.js");
if (!Array) {
  const _easycom_up_avatar2 = common_vendor.resolveComponent("up-avatar");
  const _easycom_hs_cell2 = common_vendor.resolveComponent("hs-cell");
  const _easycom_hs_footer2 = common_vendor.resolveComponent("hs-footer");
  (_easycom_up_avatar2 + _easycom_hs_cell2 + _easycom_hs_footer2)();
}
const _easycom_up_avatar = () => "../../node-modules/uview-plus/components/u-avatar/u-avatar.js";
const _easycom_hs_cell = () => "../../components/hs-cell/hs-cell.js";
const _easycom_hs_footer = () => "../../components/hs-footer/hs-footer.js";
if (!Math) {
  (_easycom_up_avatar + _easycom_hs_cell + _easycom_hs_footer)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onLoad(() => {
      var _a;
      (_a = ME_update_method.method) == null ? void 0 : _a.init();
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k;
      return common_vendor.e({
        a: (_c = (_b = (_a = common_vendor.unref(ME_update_model.useModel)) == null ? void 0 : _a.formData) == null ? void 0 : _b.value) == null ? void 0 : _c.avatar
      }, ((_f = (_e = (_d = common_vendor.unref(ME_update_model.useModel)) == null ? void 0 : _d.formData) == null ? void 0 : _e.value) == null ? void 0 : _f.avatar) ? {
        b: common_vendor.f((_i = (_h = (_g = common_vendor.unref(ME_update_model.useModel)) == null ? void 0 : _g.formData) == null ? void 0 : _h.value) == null ? void 0 : _i.avatar, (i, index, i0) => {
          return {
            a: "7053b0d8-1-" + i0 + ",7053b0d8-0",
            b: common_vendor.p({
              size: "50",
              src: i == null ? void 0 : i.url
            }),
            c: `avatar_${index}`
          };
        })
      } : {
        c: common_vendor.p({
          size: "50"
        })
      }, {
        d: common_vendor.o(
          //@ts-ignore
          (...args) => {
            var _a2, _b2;
            return ((_a2 = common_vendor.unref(ME_update_method.method)) == null ? void 0 : _a2.handleChooseAvatar) && ((_b2 = common_vendor.unref(ME_update_method.method)) == null ? void 0 : _b2.handleChooseAvatar(...args));
          }
        ),
        e: common_vendor.p({
          title: "头像",
          borderTop: true
        }),
        f: common_vendor.p({
          title: "姓名",
          borderTop: true,
          value: (_j = common_vendor.unref(ME_update_model.useModel).formData.value) == null ? void 0 : _j.name
        }),
        g: common_vendor.p({
          title: "手机号",
          borderTop: true,
          value: (_k = common_vendor.unref(ME_update_model.useModel).formData.value) == null ? void 0 : _k.phone
        }),
        h: common_vendor.o(($event) => {
          var _a2;
          return (_a2 = common_vendor.unref(ME_update_method.method)) == null ? void 0 : _a2.handleLogout();
        }),
        i: common_vendor.p({
          btnParimaryName: "退出登录"
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/ME/update/index.vue"]]);
wx.createPage(MiniProgramPage);
